Skip to main content
PUT
/
api
/
v1
/
sources
/
{source_id}
curl --request PUT \
  --url "${UNSTRUCTURED_API_URL}/api/v1/sources/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d" \
  --header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}" \
  --header "Content-Type: application/json" \
  --data '{
    "name": "My Updated S3 Source",
    "config": {
      "remote_url": "s3://my-new-bucket/input/",
      "access_key_id": "AKIAIOSFODNN7EXAMPLE",
      "secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
      "recursive": true
    }
  }'
{
  "id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
  "name": "My Updated S3 Source",
  "type": "s3",
  "config": {
    "remote_url": "s3://my-new-bucket/input/",
    "access_key_id": "AKIAIOSFODNN7EXAMPLE",
    "secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
    "recursive": true
  },
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-04-29T10:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.unstructured.io/llms.txt

Use this file to discover all available pages before exploring further.

You must specify all of the settings for the connector, even for settings that are not changing. You can change any of the connector’s settings except for its nameand type.

Path parameters

source_id
string
required
The unique identifier of the source connector.

Body

name
string
New source connector name.
config
object
Updated connector configuration. Fields vary by connector type.For the specific settings to include for a connector, see the entry for that connector in Sources.

Response

id
string
required
Unique identifier for the source connector.
name
string
required
Source connector name.
type
string
required
Connector type.
config
object
required
Connector configuration. Fields vary by connector type.For the specific settings to include for a specific connector, see the entry for that connector in Sources.
created_at
string
required
ISO 8601 timestamp when the connector was created.
updated_at
string
ISO 8601 timestamp when the connector was last updated.
curl --request PUT \
  --url "${UNSTRUCTURED_API_URL}/api/v1/sources/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d" \
  --header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}" \
  --header "Content-Type: application/json" \
  --data '{
    "name": "My Updated S3 Source",
    "config": {
      "remote_url": "s3://my-new-bucket/input/",
      "access_key_id": "AKIAIOSFODNN7EXAMPLE",
      "secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
      "recursive": true
    }
  }'
{
  "id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
  "name": "My Updated S3 Source",
  "type": "s3",
  "config": {
    "remote_url": "s3://my-new-bucket/input/",
    "access_key_id": "AKIAIOSFODNN7EXAMPLE",
    "secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
    "recursive": true
  },
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-04-29T10:00:00Z"
}